% Interface for 1D periodic unit cell with sinusoidal surface layers

keys.uol = 1e-6; % unit of length

keys.sinus_period = 10.0; % sin period
keys.sinus_n_periods = 3;
keys.sinus_amplitude = 1.0; % sin amplitude
keys.sinus_phase = 45; % sin phase
keys.roughness_amplitude = 0.4; % roughness on sin
keys.roughness_period = 0.4; % typical roughness length
keys.offset_y = 1.0; % computational domain size offset in y direction
keys.slc = 1.0; % maximum triangle sidelength

jcmwave_geo('.', keys, 'jcmt_pattern', 'matlab', 'show', 4);
